CVE-2015-2042

NameCVE-2015-2042
Descriptionnet/rds/sysctl.c in the Linux kernel before 3.19 uses an incorrect data type in a sysctl table, which allows local users to obtain potentially sensitive information from kernel memory or possibly have unspecified other impact by accessing a sysctl entry.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-246-1, DSA-3237-1
NVD severitymedium (attack range: local)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)wheezy3.2.78-1fixed
wheezy (security)3.2.96-2fixed
jessie3.16.51-2fixed
jessie (security)3.16.43-2+deb8u5fixed
stretch4.9.65-3fixed
stretch (security)4.9.30-2+deb9u5fixed
buster4.13.13-1fixed
sid4.14.2-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsource(unstable)3.16.7-ckt9-1medium
linuxsourcejessie3.16.7-ckt9-3~deb8u1mediumDSA-3237-1
linuxsourcewheezy3.2.68-1+deb7u1mediumDSA-3237-1
linux-2.6source(unstable)(unfixed)medium
linux-2.6sourcesqueeze2.6.32-48squeeze12mediumDLA-246-1

Notes

[squeeze] - linux-2.6 <no-dsa> (Minor issue)
Upstream commit: https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=db27ebb111e9f69efece08e4cb6a34ff980f8896 (v3.19)
(earliest) introduced in https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=3e5048495c8569bfdd552750e0315973c61e7c93 (v2.6.30-rc1)

Search for package or bug name: Reporting problems